export const enum Key {
  LAST_VAULT_PATH = "lastVaultPath",
}

interface StoredData {
  [Key.LAST_VAULT_PATH]: string
}

export function get<K extends keyof StoredData>(key: K) {
  try {
    const value = localStorage.getItem(key)
    return value == null ? undefined : (JSON.parse(value!) as StoredData[K])
  } catch {}
}

export function set<K extends keyof StoredData>(key: K, value: StoredData[K]) {
  try {
    localStorage.setItem(key, JSON.stringify(value))
  } catch {}
}

export function remove(key: keyof StoredData) {
  try {
    localStorage.removeItem(key)
  } catch {}
}
